package com.sd.business.entity.board.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class BzSkuSpecSalesVo {

    /**
     * sku规格编码
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "sku品号")
    private String skuSpecCode;

    /**
     * sku规格名称
     */
    @ColumnWidth(25)
    @ExcelProperty(value = "sku品名")
    private String skuSpecName;

    /**
     * 30天销售量
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "30天销售量")
    private BigDecimal salesQuantity;

    /**
     * 日销量
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "日销量")
    private BigDecimal dailySales;
}
