package com.sd.business.mapper.bom;

import com.sd.business.entity.bom.po.BomSpecPriceConfig;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sd.business.entity.bom.vo.BomSpecPriceConfigVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * bom规格价格配置 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-12-25
 */
public interface BomSpecPriceConfigMapper extends BaseMapper<BomSpecPriceConfig> {

    /**
     * bom规格价格配置列表
     */
    List<BomSpecPriceConfigVo> getList(@Param("ew") IWrapper<BomSpecPriceConfig> wrapper);

}
