package com.sd.business.service.after.impl;

import com.sd.business.entity.after.po.AfterSaleOrder;
import com.sd.business.mapper.after.AfterSaleOrderMapper;
import com.sd.business.service.after.AfterSaleOrderService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.sd.business.entity.after.dto.AfterSaleOrderDto;


/**
 * <p>
 * 售后单 服务实现类
 * </p>
 *
 * @author 
 * @since 2024-02-02
 */
@Service
public class AfterSaleOrderServiceImpl extends ServiceImpl<AfterSaleOrderMapper, AfterSaleOrder> implements AfterSaleOrderService {

    @Override
    public void add(AfterSaleOrderDto afterSaleOrderDto) {
        this.save(afterSaleOrderDto);
    }

    @Override
    public void edit(AfterSaleOrderDto afterSaleOrderDto) {
        this.updateById(afterSaleOrderDto);
    }

}
