package com.sd.wln.entity;

import com.alibaba.fastjson2.JSONObject;
import lombok.Getter;
import lombok.Setter;

/**
 * 查询销售退货入库单参数实体类
 */
@Getter
@Setter
public class SalesReturnStockInParam extends Signature {

    /**
     * 单据编码
     */
    private String bill_code;

    /**
     * 修改时间，只能查近3个月
     */
    private Long modify_time;

    /**
     * 修改结束时间，与查询开始时间最大时间间隔为7天；不填默认与开始时间间隔7天
     */
    private Long modify_end_time;

    /**
     * 是否拆分组合商品
     */
    private Boolean is_split;

    /**
     * 扩展字段 为JSON格式
     * {"shop_type":1}
     */
    private JSONObject query_extend;
}
