package com.sd.business.entity.bom.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * bom规格价格计算详情查询返回值实体
 *
 * @author
 * @since 2024-01-02
 */
@Getter
@Setter
public class BomSpecPriceDetailsVo {

    /**
     * 裸垫价格
     */
    private BigDecimal unitPrice;

    /**
     * 基材价格
     */
    private BigDecimal baseMaterialPrice;

    /**
     * 品类价格
     */
    private BigDecimal categoryPrice;

    /**
     * 特性价格
     */
    private BigDecimal characterPrice;

    /**
     * 颜色价格
     */
    private BigDecimal colourPrice;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 裁切长 cm
     */
    private BigDecimal cropLength;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 裁切宽 cm
     */
    private BigDecimal cropWidth;

    /**
     * 厚度 mm
     */
    private BigDecimal height;

    /**
     * 压纹厚度 mm
     */
    private BigDecimal embossingHeight;

    /**
     * 损耗
     */
    private BigDecimal depletion;

    /**
     * 加工费
     */
    private BigDecimal processingFee;

    /**
     * 运费
     */
    private BigDecimal freightFee;
}
