package com.sd.business.service.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.inventory.dto.InventoryFinishedTemporaryDetailAddDto;
import com.sd.business.entity.inventory.dto.InventoryFinishedTemporaryDetailSelectDto;
import com.sd.business.entity.inventory.po.InventoryFinishedTemporaryDetail;
import com.sd.business.entity.inventory.vo.InventoryFinishedTemporaryDetailVo;

/**
 * <p>
 * 成品暂存仓库操作记录 服务类
 * </p>
 *
 * @author
 * @since 2023-11-15
 */
public interface InventoryFinishedTemporaryDetailService extends BaseService<InventoryFinishedTemporaryDetail> {

    /**
     * 分页
     * @param dto
     * @return
     */
    Page<InventoryFinishedTemporaryDetailVo> getPage(InventoryFinishedTemporaryDetailSelectDto dto);

    /**
     * 成品暂存仓库操作记录新增
     * @param addDto
     */
    void add(InventoryFinishedTemporaryDetailAddDto addDto);
}
